2

I have a problem with multiarch: I installed Ubuntu 13.04 amd64 and it works well. Unfortunately I have a Philips LaserMFD 6020 Printer/Scanner and for the scanner part it has only a proprietary i386 linux driver. To use it, I tried a multiarch installation:

  • I installed sane:i386 (apt-get install sane:i386) for xscanimage, and it works well
  • I tried to install the more comfortable simple-scan:i386 and xsane:i386, but I can't: both has an unmet dependencies (xsane-common:i386 and gnome-icon-theme:i386).

It is true, there is no such a package as xsane-common:i386 because xsane-common is for all architecture. Is there any way to install an i386 package with dependencies to Architecture: all packages without broke the package management?

1

The architecture-independent package needs to declare that it can safely satisfy dependencies on any architecture, with Multi-Arch: foreign or Multi-Arch: allowed. So, no, there's not much you can do.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.